- Qt 6.7
- Qt Serial Bus
- C++ Classes
- QModbusTcpClient
- Qt 6.7.0 Reference Documentation

# QModbusTcpClient Class

The QModbusTcpClient class is the interface class for Modbus TCP client device. More...

Header: | #include <QModbusTcpClient>
CMake: | find_package(Qt6 REQUIRED COMPONENTS SerialBus) target_link_libraries(mytarget PRIVATE Qt6::SerialBus)
qmake: | QT += serialbus
Inherits: | QModbusClient

- List of all members, including inherited members

## Public Functions

| QModbusTcpClient(QObject *parent = nullptr)
virtual | ~QModbusTcpClient()

## Reimplemented Protected Functions

virtual void | close() override
virtual bool | open() override

## Detailed Description

QModbusTcpClient communicates with the Modbus backend providing users with a convenient API.

## Member Function Documentation

### `[explicit]` QModbusTcpClient::QModbusTcpClient(QObject *parent = nullptr)

Constructs a QModbusTcpClient with the specified parent.

### `[virtual noexcept]` QModbusTcpClient::~QModbusTcpClient()

Destroys the QModbusTcpClient instance.

### `[override virtual protected]` void QModbusTcpClient::close()

Reimplements: QModbusDevice::close().

### `[override virtual protected]` bool QModbusTcpClient::open()

Reimplements: QModbusDevice::open().